import { jsx as _jsx } from "react/jsx-runtime";
import { styled } from "@mui/material/styles";
import LinearProgress, { linearProgressClasses, } from "@mui/material/LinearProgress";
const BorderLinearProgress = styled((props) => (_jsx(LinearProgress, { variant: props.variant, value: props.value, color: props.color ?? "info" })))(({ theme }) => ({
    height: 5,
    borderRadius: 5,
    [`&.${linearProgressClasses.colorPrimary}`]: {
        backgroundColor: theme.palette.grey[theme.palette.mode === "light" ? 200 : 800],
    },
    [`& .${linearProgressClasses.bar}`]: {
        borderRadius: 5,
        backgroundColor: theme.palette.mode === "light" ? "#1a90ff" : "#308fe8",
    },
}));
export default BorderLinearProgress;
