import { createSelector, createSlice } from "@reduxjs/toolkit";
const nerdFeedbackInitialState = {
    open: false,
};
export const nerdFeedbackSlice = createSlice({
    name: "nerdFeedback",
    initialState: nerdFeedbackInitialState,
    reducers: {
        setOpenFeedbackDialog: (state, action) => {
            state = action.payload;
            return state;
        },
    },
});
export const { setOpenFeedbackDialog } = nerdFeedbackSlice.actions;
export const nerdFeedbackReducer = nerdFeedbackSlice.reducer;
const selectNerdFeedbackOpen = (state) => state.nerdUIState.nerdFeedback.open;
const selectNerdFeedbackError = (state) => state.nerdUIState.nerdFeedback.error;
export const nerdFeedbackOpenSelector = createSelector([selectNerdFeedbackOpen], (open) => {
    return open;
});
export const nerdFeedbackErrorSelector = createSelector([selectNerdFeedbackError], (error) => {
    return error;
});
